Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152981 - ssh segv's trying to connect
Summary: ssh segv's trying to connect
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 17:02 UTC by Tom Duffy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: openssl-0.9.7f-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-31 19:58:31 UTC


Attachments (Terms of Use)

Description Tom Duffy 2005-03-31 17:02:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
When trying to connect to any host using ssh, I get a segv.  Here is the gdb bt:

#0  0x00002aaaabaa24f2 in strnlen ()
   from /lib64/tls/libc.so.6
(gdb) bt
#0  0x00002aaaabaa24f2 in strnlen () from /lib64/tls/libc.so.6
#1  0x00002aaaaba739d9 in vfprintf () from /lib64/tls/libc.so.6
#2  0x00002aaaabb07e73 in __vsnprintf_chk () from /lib64/tls/libc.so.6
#3  0x0000555555575feb in evp_aes_128_ctr () from /usr/bin/ssh
#4  0x0000555555576365 in evp_aes_128_ctr () from /usr/bin/ssh
#5  0x0000555555566163 in main () from /usr/bin/ssh


Version-Release number of selected component (if applicable):
openssh-4.0p1-1

How reproducible:
Always

Steps to Reproduce:
1. try to ssh
2. Segmentation fault
3.
  

Additional info:

Comment 1 Tomas Mraz 2005-03-31 17:22:09 UTC
What openssl version do you have installed?


Comment 2 John Ellson 2005-03-31 17:26:06 UTC
Same problem here.

Removing openssh-clients-4.0p1-1.x86_64 and installing the i386 version
provides a work around.

I have openssl-0.9.7f-1.x86_64 and i686  installed.

Comment 3 Tom Duffy 2005-03-31 17:34:13 UTC
openssl-0.9.7f-1

Comment 4 Tomas Mraz 2005-03-31 18:54:51 UTC
The openssl-0.9.7f-1 is broken on x86_64. I'll take care of the issue as fast as
possible.




Comment 5 Tomas Mraz 2005-03-31 19:58:31 UTC
Hopefully fixed now. Please reopen if the upgrade of openssl to 0.9.7f-2 doesn't
help.


Comment 6 Tom Duffy 2005-04-01 18:11:15 UTC
That fixed it, Thanks.


Note You need to log in before you can comment on or make changes to this bug.